General Purpose Probes

Online Help

Version 04.00.0000

Copyright © 2001-2010 Agilent Technologies, Inc.

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

August 26, 2010

Table of Contents

Using General Purpose Probes
To define probes
General Purpose Probe Set Dialog
General Purpose Probe Edit Dialog
To edit a probe
To delete a probe
Probe Control, COM Automation
Probe Setup, XML Format
<DefinedProbes> Element
<Pod> Element
<Pods> Element
<Probe> Element
<Properties> Element


Using General Purpose Probes

General purpose probes let you define probes so that:

  • Pin/pad numbers from the device under test show up in the Bus/Signal tab along with pod and channel numbers.

    This lets you define buses and signals directly from a schematic or netlist without having to figure out the pin mapping for the probe.

  • Pod connections are documented.

    For example, suppose a probe that connects to "J1" on the device under test connects to Slot A Pod 1 and Slot A Pod 2. When "J1" is defined, the corresponding pods are saved in the configuration file. If there is any need to reconnect the pods, simply open the System Summary dialog and print out the Probe Summary tab which tells which pods to plug in to which probes.

  • Bus/signal names can be assigned by importing an ASCII netlist file.

For information on using general purpose probes, see:

  • To define probes

  • To edit a probe

  • To delete a probe

See Also

  • Probe Control, COM Automation

  • Probe Setup, XML Format


To define probes

  1. From the main menu, choose Setup>(Logic Analyzer Module)>New Probe>General Purpose Probe.

    Or, in the Overview window, from a logic analyzer module's drop-down menu, choose New Probe>General Purpose Probe.

  2. In the General Purpose Probe Set dialog, define the probes associated with board connections in the device under test:

    For each probe:

    1. Click Add Probe....

    2. In the Select Probe to Add dialog, select the type of probe to add, and click OK.

      If your probe doesn't appear in the list, you can download the latest probe definitions from the web.

      You can also edit an XML format file to define new probe types.

    3. In the General Purpose Probe Edit dialog, enter the reference designator of the connection in the device under test, and select the logic analyzer pods connected to the probe.

      When you hover the mouse pointer over a pin description field, a tool tip appears describing buses/signals assigned, the pod connection, the channel number, and the signal type (single-ended or differential).

      The pins numbers for clock inputs are labeled with "Clk".

      [Note]

      When connecting differential probe channel pin/pad/lead pairs to single-ended signals, make sure the negative pin/pad/lead is connected to ground and the positive pin/pad/lead is connected to the single-ended signal.

      When a single-ended threshold voltage is specified, the General Purpose Probe Edit dialog shows which pins/pads/leads should be connected to ground.

    4. Click OK.

  3. Click OK to close the General Purpose Probe Set dialog.

See Also

  • To define buses and signals by importing netlist files

  • Pod and Channel Naming Conventions

  • To define new probe types


General Purpose Probe Set Dialog

Before you can import bus/signal names from netlist files and assign them to logic analyzer channels, you must use the Define Probes dialog to identify the probes that are used with the logic analyzer.

Reference Designator

Identifies the board connection in the device under test for the probe.

Probe Type

Probes connect logic analyzer pods to connectors in the device under test. The most commonly used probes connect to two pods. A probe type is the Agilent model number for the probe (for example, E5346A).

If your probe doesn't appear in the list, you can download the latest probe definitions from the web.

You can also edit an XML format file to define new probe types.

The probe type "Unspecified" means that any of several probe types can be used with the configuration file you have loaded. You may leave the probe type as "Unspecified" unless you use the General Purpose Probe Edit dialog to view or edit the selected probe definition. When you click Edit Probe..., a dialog will appear asking you to select which probe you are using.

Logic Analyzer Pod

A collection of channels from a logic analyzer.

Add Probe... | Opens the General Purpose Probe Edit dialog for adding a probe definition.
Edit Probe... | Opens the General Purpose Probe Edit dialog for viewing or editing the selected probe definition.
Delete Probe | Deletes the selected probe definition.

See Also

  • To define probes


General Purpose Probe Edit Dialog

The General Purpose Probe Edit dialog lets you identify the device under test connector (reference designator) and the logic analyzer pods connected to the probe.

Reference Designator | Identifies the reference designator (in the device under test) of the probe connector, the connectorless probe retention module, or pins probed by flying leads.
Probe Pin/Pad Diagram | Diagrams probe pins/pads, flying-lead channels, or termination adapter pins, and provides fields for channel information tool tips.
Logic Analyzer Slot, Pod | Lets you select the logic analyzer module slots/pods to which the probe, flying leads, or termination adapter is connected.
Show Logic Analyzer Channels | When checked, the logic analyzer pod channel numbers are displayed in the probe pin/pad diagram next to the pin/pad numbers.

See Also

  • To define probes


To edit a probe

  1. From the main menu, choose Setup>(Logic Analyzer Module)>(General Purpose Probe Name)>Properties.

    Or, in the Overview window, click the general purpose probe's Properties button.

  2. In the General Purpose Probe Set dialog, select the probe you want to edit, and click Edit Probe....

  3. In the General Purpose Probe Edit dialog, you can change the reference designator or re-specify which logic analyzer pods are connected to the probe.

  4. Click OK to close the General Purpose Probe Edit dialog.

  5. Click OK to close the General Purpose Probe Set dialog.

See Also

  • To define probes


To delete a probe

  1. From the main menu, choose Setup>(Logic Analyzer Module)>(General Purpose Probe Name)>Properties. Or, in the Overview window, click the general purpose probe's Properties button.

  2. In the General Purpose Probe Set dialog, select the probe you want to delete, and click Delete Probe.

  3. Click OK to close the Define Probes dialog.

See Also

  • To define probes


Probe Control, COM Automation

The Agilent Logic Analyzer application includes the COM Automation Server. This software lets you write programs that control the Agilent Logic Analyzer application from remote computers on the Local Area Network (LAN).

In a COM automation program, you can configure a probe by:

  • Loading a configuration file (which configures the complete logic analyzer setup).

  • Using the Probe object's DoCommands method with an XML-format string parameter (see Probe Setup, XML Format).

You can get information about a probe's configuration using the Probe object's QueryCommand method. Queries supported by the general purpose probe are listed below.

For more information about logic analyzer COM automation and probe objects in general, see COM Automation.

XML-Based Queries Supported

The general purpose probe supports the following XML-based queries (made with the Probe object's QueryCommand method).

Query | Description
GetAllSetup | Returns the current setup, using the full tag set, used for writing generic configuration files (see the XML format <Properties> element).
GetProperties | Returns the current setup, using the full tag set, equivalent to "GetAllSetup" (see the XML format <Properties> element).

See Also

  • COM Automation

  • Probe Setup, XML Format


Probe Setup, XML Format

When you save logic analyzer configurations to XML format files, setup information for the general purpose probe is included.

This XML format setup information is also used when writing COM automation programs to control the logic analyzer from a remote computer.

XML elements for the general purpose probe have the following hierarchy:

<Properties>
   <DefinedProbes>
      <Probe>
         <Pods>
            <Pod>

See Also

  • XML Format

  • Probe Control, COM Automation


<DefinedProbes> Element

The <DefinedProbes> element contains defined probes.

Children

This element can have the following children: <Probe>.

Parents

This element can have the following parents: <Properties>.

Example

<DefinedProbes>
   <Probe Name='J1' Type='E5346A 34-ch Mictor single-ended probe'>
      <Pods>
         <Pod Index='1'/>
         <Pod Index='2'/>
      </Pods>
      <Signals/>
   </Probe>
   <Probe Name='J2' Type='E5346A 34-ch Mictor single-ended probe'>
      <Pods>
         <Pod Index='3'/>
         <Pod Index='4'/>
      </Pods>
      <Signals/>
   </Probe>
</DefinedProbes>


<Pod> Element

The <Pod> element describes the pod index used within a defined probe.

Attributes

Name | Description
Index | 'number'

Parents

This element can have the following parents: <Pods>.

Example

<Pod Index='1'/>


<Pods> Element

The <Pods> element contains the pods used by a defined probe.

Children

This element can have the following children: <Pod>.

Parents

This element can have the following parents: <Probe>.

Example

<Pods>
   <Pod Index='1'/>
   <Pod Index='2'/>
</Pods>


<Probe> Element

The <Probe> element describes a defined probe.

Attributes

Name | Description
Name | 'string' (name of connector in device under test)
Type | 'string' (name of probe)

Children

This element can have the following children: <Pods>.

Parents

This element can have the following parents: <DefinedProbes>.

Example

<Probe Name='J1' Type='E5346A 34-ch Mictor single-ended probe'>
   <Pods>
      <Pod Index='1'/>
      <Pod Index='2'/>
   </Pods>
   <Signals/>
</Probe>


<Properties> Element

The <Properties> element contains setup information for the general purpose probe.

Children

This element can have the following children: <DefinedProbes>.

Parents

This element can have the following parents: <Probe>.

When used in COM automation, this element is returned by the QueryCommand method's GetAllSetup and GetProperties queries. You can also use this element string as an XMLCommand with the DoCommands method to configure the general purpose probe.

Example

<Properties>
   <DefinedProbes>
      <Probe Name='J1' Type='E5346A 34-ch Mictor single-ended probe'>
         <Pods>
            <Pod Index='1'/>
            <Pod Index='2'/>
         </Pods>
         <Signals/>
      </Probe>
   </DefinedProbes>
</Properties>


Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Agilent Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Microsoft®, MS-DOS®, Windows®, Windows 2000®, and Windows XP® are U.S. registered trademarks of Microsoft Corporation.

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.


Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Agilent disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Agilent shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Agilent and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.